Subject: Re: [PATCH] ipv4/ipv6: check hop limit field on input

From: John Dykstra <[email-masked]>
Date: Tue, 02 Jun 2009 09:22:10 +0000

On Mon, 2009-06-01 at 19:02 -0700, David Miller wrote:
> And I even remember there are applications that use multicast and
> a hop limit of zero explicitly to keep application traffic only on
> the local subnet.  So any change like that proposed could break
> things.

Are you thinking of multicast apps that explicitly set a hop limit, or Multicast
Listener Discovery?  The hop limit specified for MLDv2 messages is one,
not zero.

  --  John